Bug 252788

Summary: Making misc/openvdb depend on onetbb
Product: Ports & Packages Reporter: Ganael LAPLANCHE <martymac>
Component: Individual Port(s)Assignee: Yuri Victorovich <yuri>
Status: Closed FIXED    
Severity: Affects Some People CC: FreeBSD, swills, yuri
Priority: --- Flags: bugzilla: maintainer-feedback? (yuri)
martymac: maintainer-feedback? (yuri)
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://github.com/AcademySoftwareFoundation/openvdb/issues/932
Bug Depends on:    
Bug Blocks: 252648, 255363    
Attachments:
Description Flags
patch to fix issue none

Description Ganael LAPLANCHE freebsd_committer 2021-01-17 19:25:47 UTC
Hello,

As a maintainer of misc/openvdb, could you have a look at PR #252648:

  https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=252648

In short, TBB version 2021 will soon be available as devel/onetbb but the port you maintain does not build correctly with it, see the following Poudriere run:

  http://box.martymac.org/FreeBSD-Packages/build.html?mastername=FBSD122amd64-tbb-migr&build=2021-01-17_09h08m36s

and error logs:

http://box.martymac.org/FreeBSD-Packages/data/FBSD122amd64-tbb-migr/2021-01-17_09h08m36s/logs/errors/openvdb-8.0.0_2.log

  Could NOT find TBB (missing: Tbb_INCLUDE_DIR) (Required is at least version
  "2018.0")

Could you try to provide a patch (important: *by replying to this PR*) to facilitate the migration to devel/onetbb ?

To help you modifying your port, expected patches to devel/tbb and devel/onetbb are available in PR #252648.

You will also need suitesparse patches from PR #252651 as suitesparse does not build with oneTbb.

Thanks for your contribution,
Best regards,

Ganael.
Comment 1 Yuri Victorovich freebsd_committer 2021-01-17 19:39:18 UTC
The upstream needs to fix this.
Comment 2 Shane 2021-05-23 00:23:16 UTC
Have you tested master to see if the next release will resolve this?

https://github.com/AcademySoftwareFoundation/openvdb/issues/985
Comment 3 Ganael LAPLANCHE freebsd_committer 2021-05-25 10:43:04 UTC
Hello,

I presume yuri@ is waiting for version 8.1 which should include a fix. I've ping'ed the upstream to see if there are news on the subject.
Comment 4 Ganael LAPLANCHE freebsd_committer 2021-06-14 10:09:38 UTC
Hello,

The port has been updated to 8.1 (thank, Yuri !).

It still uses legacy Tbb. I'll try to see if it can be switched to OneTbb.
Comment 6 Ganael LAPLANCHE freebsd_committer 2021-06-28 10:18:12 UTC
Support for OneTBB 2021 has been merged upstream :
https://github.com/AcademySoftwareFoundation/openvdb/commit/e620aa6a472e7e5bebaf2103ed2b4d6442438341

Let's wait for a release now.
Comment 7 Steve Wills freebsd_committer 2021-08-14 23:07:55 UTC
Created attachment 227199 [details]
patch to fix issue

If you don't want to wait on the release, you could try this.
Comment 8 Steve Wills freebsd_committer 2021-08-14 23:14:58 UTC
Not sure the fix in 252651 is required, doesn't seem to be for me.
Comment 9 Yuri Victorovich freebsd_committer 2021-08-15 09:32:19 UTC
Steve,

I am committing a similar patch but with PATCH_* instruction to backport the upstream commit.

cad/PrusaSlicer is now broken pending bug#255363.


Yuri
Comment 10 commit-hook freebsd_committer 2021-08-15 09:32:55 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=422d21015a19a9b8230c7ac43b9b540b629f8efe

commit 422d21015a19a9b8230c7ac43b9b540b629f8efe
Author:     Yuri Victorovich <yuri@FreeBSD.org>
AuthorDate: 2021-08-15 09:27:34 +0000
Commit:     Yuri Victorovich <yuri@FreeBSD.org>
CommitDate: 2021-08-15 09:32:16 +0000

    misc/openvdb: Backport devel/onetbb compatibility patch

    PR:             252788

 cad/PrusaSlicer/Makefile |  2 ++
 misc/openvdb/Makefile    | 14 +++++++++++---
 misc/openvdb/distinfo    |  4 +++-
 misc/openvdb/pkg-plist   |  1 +
 4 files changed, 17 insertions(+), 4 deletions(-)
Comment 11 Ganael LAPLANCHE freebsd_committer 2021-08-27 11:29:49 UTC
Thanks!